> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ragkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# limits

<Warning>
  All endpoints that require Authorization contribute to rate limits, including
  this endpoint.
</Warning>

## Default Limits

These are the standard limits applied at the organization level.

| Name    | Limit | Window | Rate                   |
| ------- | ----- | ------ | ---------------------- |
| Primary | 600   | 60s    | 10 requests per second |


## OpenAPI

````yaml GET /limits
openapi: 3.0.3
info:
  title: Ragkit API
  description: OpenAPI spec for the Ragkit API platform.
  license:
    name: private
  version: 1.0.0
servers:
  - url: https://api.ragkit.com/v1
    description: Ragkit API version 1
security:
  - bearerAuth: []
tags:
  - name: base
    description: Interact with `base`s.
  - name: documents
    description: Interact with `documents`s.
  - name: namespaces
    description: Interact with `namespace`s.
  - name: service
    description: Retrieve data about the service.
  - name: test
    description: For testing.
paths:
  /limits:
    get:
      tags:
        - service
      summary: Get rate limit information for the authorized organization.
      operationId: limits
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LimitsResponse'
        4XX:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FailureResponse'
        5XX:
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FailureResponse'
components:
  schemas:
    LimitsResponse:
      type: object
      required:
        - success
        - data
      properties:
        success:
          type: boolean
          description: Always `true`.
          enum:
            - true
        data:
          type: object
          description: Information about the authorized Org's rate limits.
          required:
            - primary
          properties:
            primary:
              type: object
              description: Information about a specific rate limit.
              required:
                - remaining
                - window
              properties:
                remaining:
                  type: integer
                  description: How many requests are remaining without exceeding the limit.
                  example: 512
                  minimum: 0
                window:
                  type: integer
                  description: >-
                    How long it takes for a request to stop counting towards the
                    limit (in

                    seconds).
                  example: 60
                  minimum: 0
    FailureResponse:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
          description: Always `false`.
          enum:
            - false
          example: false
        message:
          type: string
          description: The error message.
        help:
          type: string
          description: Additional help information, if available.
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````